LiteralDataPacket
Date: 2016-06-23

org.bouncycastle.bcpg

## Class LiteralDataPacket

- java.lang.Object
- - org.bouncycastle.bcpg.Packet
  - - org.bouncycastle.bcpg.InputStreamPacket
    - - org.bouncycastle.bcpg.LiteralDataPacket

- All Implemented Interfaces:
    PacketTags

      public class LiteralDataPacket
      extends InputStreamPacket

  Generic literal data packet.

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.bcpg.PacketTags

      `COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileName()` Return the file name associated with the data packet.
    `int` | `getFormat()` Return the format tag of the data packet.
    `long` | `getModificationTime()` Return the modification time for the file (milliseconds at second level precision).
    `byte[]` | `getRawFileName()` Return the file name as an uninterpreted byte array.

    - ### Methods inherited from class org.bouncycastle.bcpg.InputStreamPacket

      `getInputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFormat

          public int getFormat()

      Return the format tag of the data packet.

    - #### getModificationTime

          public long getModificationTime()

      Return the modification time for the file (milliseconds at second level precision).

    - #### getFileName

          public java.lang.String getFileName()

      Return the file name associated with the data packet.

    - #### getRawFileName

          public byte[] getRawFileName()

      Return the file name as an uninterpreted byte array.